rpm/remove-translations.diff
Cristian Rodríguez 41c257a762 Accepting request 96284 from home:coolo:branches:openSUSE:Factory
- add libtool as explicit buildrequire

- do not hardcode brp check list, but call everything below
  /usr/lib/rpm/brp-suse.d - and move our own brp scripts to 
  brp-check-suse

OBS-URL: https://build.opensuse.org/request/show/96284
OBS-URL: https://build.opensuse.org/package/show/Base:System/rpm?expand=0&rev=161
2011-12-11 21:58:21 +00:00

23 lines
971 B
Diff

Index: scripts/find-lang.sh
===================================================================
--- scripts/find-lang.sh.orig 2011-12-09 14:46:32.443023115 +0100
+++ scripts/find-lang.sh 2011-12-09 14:46:52.086092200 +0100
@@ -122,6 +122,17 @@ fi
MO_NAME_NEW=$MO_NAME.tmp.$$
rm -f $MO_NAME_NEW
+# remove languages we do not yet support - but give out statistics
+find $TOP_DIR/usr/share/locale/ -maxdepth 1 -type d | sed 's:'"$TOP_DIR"/usr/share/locale/'::; /^$/d' | while read dir; do
+ if ! rpm -ql filesystem | egrep -q "/usr/share/locale/$dir"$; then
+ find $TOP_DIR/usr/share/locale/$dir -name *.mo | sed 's:'"$TOP_DIR"'::' | while read file; do
+ echo -n "removing translation $file: "
+ msgunfmt "$TOP_DIR/$file" | msgfmt --statistics -o /dev/null -
+ done
+ rm -rf $TOP_DIR/usr/share/locale/$dir
+ fi
+done
+
find $TOP_DIR -type f -o -type l|sed '
s:'"$TOP_DIR"'::
'"$ALL_NAME$MO"'s:\(.*/locale/\)\([^/_]\+\)\(.*\.mo$\):%lang(\2) \1\2\3: